# Class ListUtilisateurs

java.lang.Object
ListUtilisateurs

    public class ListUtilisateurs
    extends java.lang.Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ListUtilisateurs()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addList​(Utilisateur u)` | Ajouter des utilisateurs actifs dans l'attribut liste 'actifUsers'
`void` | `afficherListeUtilisateurs()` | Méthode affichant la liste des utilisateurs actifs
`Utilisateur` | `getPseudoList​(java.lang.String pseudo)` | Recuperer un utilisateur à partir de son pseudo
`void` | `modifierList​(java.lang.String ancien, java.lang.String nouveau)` | Modifie le nom d'un utilisateur dans la liste des utilisateurs actifs 'actifUsers'
`void` | `supprimerList​(Utilisateur u)` | Supprimer de la liste des utilisateurs actifs 'actifUsers' un certain utilisateur
`java.lang.Boolean` | `verifierUnicite​(java.lang.String pseudo)` | Verifie qu'aucun autre utilisateur ne possède le même pseudo

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListUtilisateurs

public ListUtilisateurs()

## Method Details

### addList

public void addList​(Utilisateur u)
Ajouter des utilisateurs actifs dans l'attribut liste 'actifUsers'

Parameters:
  `u` - on va rajouter cet utilisateur dans la liste

### getPseudoList

public Utilisateur getPseudoList​(java.lang.String pseudo)
Recuperer un utilisateur à partir de son pseudo

Parameters:
  `pseudo` - Pseudo de l'utilisateur que l'on souhaite retrouver
Returns:
  l'utilisateur correspondant au pseudo passé en entrée

### supprimerList

public void supprimerList​(Utilisateur u)
Supprimer de la liste des utilisateurs actifs 'actifUsers' un certain utilisateur

Parameters:
  `u` - - on va supprimer cet utilisateur dans la liste

### modifierList

public void modifierList​(java.lang.String ancien, java.lang.String nouveau)
Modifie le nom d'un utilisateur dans la liste des utilisateurs actifs 'actifUsers'

Parameters:
  `ancien` - correspond au pseudo remplacer
  `nouveau` - correspond au nouveau pseudo

### verifierUnicite

public java.lang.Boolean verifierUnicite​(java.lang.String pseudo)
Verifie qu'aucun autre utilisateur ne possède le même pseudo

Parameters:
  `pseudo` - - on va supprimer cet utilisateur dans la liste
Returns:
  true si le pseudo est libre , false sinon

### afficherListeUtilisateurs

public void afficherListeUtilisateurs()
Méthode affichant la liste des utilisateurs actifs